import React, {Component} from 'react'
import ListItem from './listItem.js';

export default class DropList extends Component {
	constructor(props) {
	    super(props)
	}
	
	render() {
		const { children, itemClick } = this.props;
		let list = children.map((item,idx) => {
			return (
				<ListItem item={item} itemClick={itemClick}/>
			)
		})
		return (
			<div className='recruit-dropdown'>
				<ul ref='dropdownUl' className='recruit-dropdown-list'>
	      			{list}
	    		</ul>
	    	</div>
		)
	}
}